summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xsuper.sh15
1 files changed, 14 insertions, 1 deletions
diff --git a/super.sh b/super.sh
index b8cfb29..c76aeaa 100755
--- a/super.sh
+++ b/super.sh
@@ -5,4 +5,17 @@
theDate=$(\date -I) # ISO 8601, natch
-:wq
+# Where to store the log file
+logFile=~/box/leger/etc/superLog.txt
+
+
+# to log a value, the user must include it as an argument
+if [ -z $1 ]
+ then
+ echo "Usage: provide an argument for super.sh to append to the log"
+ exit 1
+fi
+
+echo $theDate $1 >> $logFile
+
+